import { ISvgProps } from '../types';

const defaultProps: ISvgProps = {
	viewBox: '0 0 24 24',
	pathClassName: 'st0'
};

export function SvgFilter(props: ISvgProps) {
	props = { ...defaultProps, ...props };
	const { pathClassName, ...svgProps } = props;

	return (
		<svg {...svgProps}>
			<g id='icon-filter' transform='translate(1.5 1.5)'>
				<path
					id='Union_24'
					data-name='Union 24'
					d='M12702.832,10790.669h-2.333a.5.5,0,0,1,0-1h2.333a2.5,2.5,0,0,1,4.9,0h12.2a.5.5,0,1,1,0,1h-12.2a2.5,2.5,0,0,1-4.9,0Zm1.245-1a1.4,1.4,0,1,0,2.618,1,1.58,1.58,0,0,0,.093-.5,1.4,1.4,0,0,0-.9-1.306,1.381,1.381,0,0,0-.5-.094A1.405,1.405,0,0,0,12704.077,10789.67Zm9.9-6.334H12700.5a.5.5,0,1,1,0-1h13.472a2.5,2.5,0,0,1,4.9,0h1.054a.5.5,0,1,1,0,1h-1.054a2.5,2.5,0,0,1-4.9,0Zm2.414-2.043a1.521,1.521,0,1,0,.041,3.042,1.5,1.5,0,0,0,1.408-1,1.52,1.52,0,0,0-1.426-2.043Zm-8.731-5.29h-7.157a.5.5,0,0,1,0-1h7.154a2.5,2.5,0,0,1,4.9,0h7.375a.5.5,0,1,1,0,1h-7.375a2.492,2.492,0,0,1-1.95,1.951,2.542,2.542,0,0,1-.5.051A2.5,2.5,0,0,1,12707.656,10776Zm1.044-1a1.378,1.378,0,0,0,0,1,1.489,1.489,0,1,0,0-1Z'
					transform='translate(-12700.001 -10772.999)'
					stroke='rgba(0,0,0,0)'
					strokeWidth='1'
				/>
			</g>
		</svg>
	);
}
